Subject: Re: Help with CELOSIA

From: [email-masked]
Date: Mon, 08 May 1995 21:28:03 -0800

I also have a Celosia (kimono mix)... but i'm also new to gardening...
The plant label it came with said Partial Sun..and hardy...but everything
i've read says it likes hot desert weather. Mine haven't done ANYTHING...
it hasn't gotten any bigger and it hasn't wilted either...I'm in San
Francisco, CA with slightly warmer weather... but since I have it in a
container.. i've been bringing them in at night. 

Sorry I couldn't be of more help... Let me know what you find out.

In article <[email-masked]>,
[email-masked] (James Dom Dera) wrote:

>         HELP!!  I recently picked up a flat of flowers that I've never heard
> of before:  Celosia (Geisha and Jewelbox varieties).  They have
> beautiful, brushlike flowers, and grow to about 10" tall.
> Unfortunately, I have had some trouble keeping them vibrant.  They've
> been planted in a flower box for about ten days now, and within the
> past few days they've started to wilt and fall over.  Each morning
> I've got one more plant wilting!
>         The conditions:  the soil is moist (it's been cool and rainy here, and
> it's never really dried out); temperatures have been on the cool side
> (upper 50's to low 70's during the day, and down to the 40's at
> night); they get nearly all of the morning to early-afternoon sun
> (when it's sunny); I watered them with Miracle Grow (15-30-15) shortly
> after first planting them, then just plain water thereafter.
>         Any advice at all would be greatly appreciated!!
> 
> 
> James Dom Dera                                       "Don't take your
organs to
> [email-masked]                       Heaven --
Heaven knows
> Medical Student                                             we need them
here."
> Ohio State University                                        
>    ***>  PLEASE CONSIDER BEING AN ORGAN DONOR - finger me for more info  <***

-- 
************ MARK YOUR CALENDARS!!!!!! OCTOBER 1995 ************

"WITH NEW EYES: 
Towards an Asian American Art History in the Western United States"

An exhibition highlighting western American Art by artists of Asian immigration or descent. We plan to focus on the period spanning from the Gold Rush through the Second World War. The exhibition will include photography, painting, printmaking, calligraphy, sculpture and craft forms.

We are still hoping to locate important works, including:
-any photographs or paintings by MARY TAPE, circa 1880s
-any daguerreotypes by KA CHAU, circa 1854
-portrait PAINTINGS by LAI YONG, circa 1860s

for more information, contact: [email-masked]
or
San Francisco State University
ART Dept/ART Gallery
(415) 338-1017

---

From: [email-masked] (James Dom Dera)
Date: Mon, 08 May 1995 18:11:29 GMT

James Dom Dera                                       "Don't take your organs to
[email-masked]                       Heaven -- Heaven knows
Medical Student                                             we need them here."
Ohio State University                                        
   ***>  PLEASE CONSIDER BEING AN ORGAN DONOR - finger me for more info  <***

---

From: [email-masked] (Oettinger)
Date: 9 May 1995 14:57:56 -0400

I got Celosia (kimono mix) last year. Had a similar problem. They wilted
and then died, in a couple of weeks. They got only partial sun, so I
assumed that that was the main reason. I'm in Chicaho (zone 5)